<?php
/**
 * Template Name: Custom Home Page
 */
get_header(); ?>

<main id="content">
  <section id="slider">
    <div class="owl-carousel">
      <?php
        $slider_category=  get_theme_mod('cyber_security_services_post_setting');if($slider_category){
        $page_query = new WP_Query(array( 'category_name' => esc_html($slider_category ,'tv-channel-insight')));?>
          <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
          <div class="slide-box">
            <?php the_post_thumbnail(); ?>
            <div class="slide-inner-box">
              <?php if( get_theme_mod('cyber_security_services_slide_heading') != ''){ ?>
                <h3><?php echo esc_html(get_theme_mod('cyber_security_services_slide_heading','')); ?></h3>
              <?php }?>
              <h2 class="slider-title"><?php the_title();?></h2>
              <p class="mb-0"><?php echo esc_html(wp_trim_words(get_the_content(),'30') );?></p>
              <div class="home-btn text-center text-md-left my-4">
                <a href="<?php the_permalink(); ?>"><?php esc_html_e('Get Start Now','tv-channel-insight'); ?></a>
              </div>
            </div>
          </div>
          <?php endwhile;
        wp_reset_postdata();
      }?>
    </div>
  </section>

  <section id="home-about" class="py-5">
    <div class="container">
      <div class="row">
        <div class="col-lg-6 col-md-6 col-sm-6 align-self-center">
          <div class="row">
            <div class="col-lg-7 col-md-7 col-sm-7 align-self-center pr-0">
              <?php if( get_theme_mod('cyber_security_services_about_images') != ''){ ?>
                <img class="mb-3 mb-md-0" src="<?php echo esc_url(get_theme_mod('cyber_security_services_about_images','')); ?>">
              <?php }?>
            </div>
            <div class="col-lg-5 col-md-5 col-sm-5 align-self-center">
              <?php if( get_theme_mod('cyber_security_services_about_images1') != ''){ ?>
                <img class="mb-3" src="<?php echo esc_url(get_theme_mod('cyber_security_services_about_images1','')); ?>">
              <?php }?>
              <?php if( get_theme_mod('cyber_security_services_about_images2') != ''){ ?>
                <img class="mb-3 mb-md-0" src="<?php echo esc_url(get_theme_mod('cyber_security_services_about_images2','')); ?>">
              <?php }?>
            </div>
          </div>
        </div>
        <div class="col-lg-6 col-md-6 col-sm-6 align-self-center">
          <?php if( get_theme_mod('cyber_security_services_services_heading') != ''){ ?>
            <h3><?php echo esc_html(get_theme_mod('cyber_security_services_services_heading','')); ?></h3>
          <?php }?>
          <?php
            $mod =  get_theme_mod( 'cyber_security_services_about_us_settigs');
            if ( 'page-none-selected' != $mod ) {
              $cyber_security_services_about_page[] = $mod;
            }
            if( !empty($cyber_security_services_about_page) ) :
            $args = array(
              'post_type' =>array('page'),
              'post__in' => $cyber_security_services_about_page
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
          ?>
          <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
            <h4 class="mb-4"><?php the_title();?></h4>
            <p class="mb-0"><?php the_excerpt(); ?></p>
            <div class="home-btn text-center text-md-left my-4">
              <a href="<?php the_permalink(); ?>"><?php esc_html_e('Get The Service','tv-channel-insight'); ?></a>
            </div>
          <?php endwhile;
          wp_reset_postdata();?>
          <?php else : ?>
          <div class="no-postfound"></div>
            <?php endif;
          endif;?>
        </div>
      </div>
    </div>
  </section>

  <section id="middle-sec" class="py-5">
    <div class="container">
      <div class="text-center">
        <?php if( get_theme_mod('tv_channel_insight_middle_heading') != ''){ ?>
          <h3><?php echo esc_html(get_theme_mod('tv_channel_insight_middle_heading','')); ?></h3>
        <?php }?>
        <?php if( get_theme_mod('tv_channel_insight_middle_title') != ''){ ?>
          <h4 class="mb-4"><?php echo esc_html(get_theme_mod('tv_channel_insight_middle_title','')); ?></h4>
        <?php }?>
      </div>
      <div class="row">
        <?php
          for ( $tv_channel_insight_s = 1; $tv_channel_insight_s <= 6; $tv_channel_insight_s++ ) {
            $tv_channel_insight_post_mod =  get_theme_mod( 'tv_channel_insight_middle_sec_settigs'.$tv_channel_insight_s );
            if ( 'post-none-selected' != $tv_channel_insight_post_mod ) {
              $tv_channel_insight_post[] = $tv_channel_insight_post_mod;
            }
          }
           if( !empty($tv_channel_insight_post) ) :
          $tv_channel_insight_args = array(
            'post_type' =>'post',
            'post__in' => $tv_channel_insight_post
          );
          $tv_channel_insight_post_query = new WP_Query( $tv_channel_insight_args );
          if ( $tv_channel_insight_post_query->have_posts() ) :
            $tv_channel_insight_m = 1;
        ?>
        <?php while ( $tv_channel_insight_post_query->have_posts() ) : $tv_channel_insight_post_query->the_post(); ?>
          <div class="col-lg-4 col-md-6 col-sm-6">
            <div class="mid-inner-box p-3 mb-3">
              <span><i class="<?php echo esc_attr(get_theme_mod('tv_channel_insight_mid_section_icon'.$tv_channel_insight_m)); ?>"></i></span><span class="service-btn"><a href="<?php the_permalink(); ?>"><?php esc_html_e('Read More','tv-channel-insight'); ?></a></span>
              <h5 class="my-3"><?php the_title();?></h5>
              <p><?php echo esc_html(wp_trim_words(get_the_content(),'25') );?></p>
            </div>
          </div>
        <?php $tv_channel_insight_m++; endwhile;
        wp_reset_postdata();?>
        <?php else : ?>
        <div class="no-postfound"></div>
          <?php endif;
        endif;?>
      </div>
    </div>
  </section>
</main>

<?php get_footer(); ?>